org.gnome.gtk

## Class IconSize

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.IconSize

-     public final class IconSize
      extends org.freedesktop.bindings.Constant

  Constants referring to the size of an icon. These are typically used when working with Stock icons, for example with the `Image` constructor that takes a Stock image identifier and one of these constants to specify the size you want.

  We're rather deliberately not indicated the pixel dimensions associated with each IconSize constant, as this is the sort of thing that can evolve over time - and be theme dependant.

  In some sense you don't need this; when working with Stock items in conjunction with Buttons or Menus, the images will be arranged to be the appropriate size automatically.

  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IconSize` | `BUTTON` The standard size used for icons on Buttons.
    `static IconSize` | `DIALOG`
    `static IconSize` | `DND`
    `static IconSize` | `LARGE_TOOLBAR` The size used for icons appearing in large (some would call this normal) size Toolbars.
    `static IconSize` | `MENU` The standard size used for icons appearing on Menus.
    `static IconSize` | `SMALL_TOOLBAR` The size used when Toolbars are being rendered in their smaller incarnation.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BUTTON

          public static final IconSize BUTTON

      The standard size used for icons on Buttons. See also `Button.setImage(Image)` for setting an image of arbitrary size.

    - #### DIALOG

          public static final IconSize DIALOG

    - #### DND

          public static final IconSize DND

    - #### LARGE_TOOLBAR

          public static final IconSize LARGE_TOOLBAR

      The size used for icons appearing in large (some would call this normal) size Toolbars.

    - #### MENU

          public static final IconSize MENU

      The standard size used for icons appearing on Menus. See `ImageMenuItem`.

    - #### SMALL_TOOLBAR

          public static final IconSize SMALL_TOOLBAR

      The size used when Toolbars are being rendered in their smaller incarnation. Some have noted that icons created for this case bear a striking resemblance to the MENU size.